Capsule API Example

Loading...
Searching...
No Matches
Functions
CEEGTimedData.h File Reference
`#include "CDefinesPrivate.h"`
`#include "CError.h"`

Go to the source code of this file.

## Functions
| CLC_STRUCT_WNN (EEGTimedData, clCEEGTimedData, device)
| Array of EEG data with timestamps.
CL_DLL int32_t | clCEEGTimedData_GetChannelsCount (clCEEGTimedData eegTimedData, clCError *error) NOEXCEPT
CL_DLL int32_t | clCEEGTimedData_GetSamplesCount (clCEEGTimedData eegTimedData, clCError *error) NOEXCEPT
CL_DLL float | clCEEGTimedData_GetRawValue (clCEEGTimedData eegTimedData, int32_t channelIndex, int32_t sampleIndex, clCError *error) NOEXCEPT
CL_DLL float | clCEEGTimedData_GetProcessedValue (clCEEGTimedData eegTimedData, int32_t channelIndex, int32_t sampleIndex, clCError *error) NOEXCEPT
CL_DLL uint64_t | clCEEGTimedData_GetTimestampMilli (clCEEGTimedData eegTimedData, int32_t sampleIndex, clCError *error) NOEXCEPT

## Function Documentation

## ◆ CLC_STRUCT_WNN()

CLC_STRUCT_WNN | ( | EEGTimedData | ,
|  | clCEEGTimedData | ,
|  | device | )

Array of EEG data with timestamps.

Contains EEG channels and timestamps

## ◆ clCEEGTimedData_GetChannelsCount()

CL_DLL int32_t clCEEGTimedData_GetChannelsCount | ( | clCEEGTimedData | eegTimedData,
|  | clCError * | error )

Get number of EEG channels.

Parameters

  eegTimedData | EEG handle

Returns
  number of channels

## ◆ clCEEGTimedData_GetProcessedValue()

CL_DLL float clCEEGTimedData_GetProcessedValue | ( | clCEEGTimedData | eegTimedData,
|  | int32_t | channelIndex,
|  | int32_t | sampleIndex,
|  | clCError * | error )

Get processed EEG value by channel index and sample index.

Parameters

  eegTimedData | eeg handle
  channelIndex | index of a channel
  sampleIndex | index of a sample in a channel

Returns
  eeg value

## ◆ clCEEGTimedData_GetRawValue()

CL_DLL float clCEEGTimedData_GetRawValue | ( | clCEEGTimedData | eegTimedData,
|  | int32_t | channelIndex,
|  | int32_t | sampleIndex,
|  | clCError * | error )

Get raw EEG value by channel index and sample index.

Parameters

  eegTimedData | eeg handle
  channelIndex | index of a channel
  sampleIndex | index of a sample in a channel

Returns
  eeg value

## ◆ clCEEGTimedData_GetSamplesCount()

CL_DLL int32_t clCEEGTimedData_GetSamplesCount | ( | clCEEGTimedData | eegTimedData,
|  | clCError * | error )

Get number of EEG samples in a channel.

Parameters

  eegTimedData | EEG handle

Returns
  number of samples in a channel

## ◆ clCEEGTimedData_GetTimestampMilli()

CL_DLL uint64_t clCEEGTimedData_GetTimestampMilli | ( | clCEEGTimedData | eegTimedData,
|  | int32_t | sampleIndex,
|  | clCError * | error )

Get EEG timestamp by index.

Parameters

  eegTimedData | EEG handle
  sampleIndex | index of a sample

Returns
  timestamp in milliseconds since epoch